2020-06-01 06:13 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004557SASCombatSimulator[All Projects] Generalpublic2020-04-29 16:45
Reporteraardvark82 
Assigned ToStingRayProject InfoSAS Combat Simulator (Code Masters)
http://www.whdload.de/games/SASCombatSimulator.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0004557: Game is broken on WinUAE 4.30
DescriptionReported this bug to WinUAE support on EAB https://eab.abime.net/showthread.php?t=101719 I don't think it's WHDLoad issue, just thought to let you guys know too.

On WinUAE 4.30, the game gets stuck on title screen. The music plays normally but the game doesn't react to any keyboard inputs (not even QuitKey). No issues on WinUAE 4.21.
Steps To ReproducePlay the game on any WHDLoad setup with WinUAE 4.30.

I've tried many hardware configurations and WHDLoad tooltypes, but only changing winuae64.exe back to 4.21 version will fix the problem.
Additional InformationAlso the newest Tower of Souls slave (v1.1) works fine on 4.21 but walking control is glitchy on 4.30. Not sure if that should be reported to WinUAE support or here.
TagsNo tags attached.
MachineA1200
CPU68020
CPUSpeed50
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem8 MB
WorkbenchOS 3.0
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.5
imported
Attached Files

-Relationships
+Relationships

-Notes

note ~0008519

StingRay (developer)

Nothing to do with WinUAE, keyboard interrupt patch is wrong.

note ~0008520

StingRay (developer)

Fixed in V1.3

note ~0008521

retrogamer (reporter)

Quitkey not working for 68000 (V1.3)

note ~0008534

Pascal De Maeseneire (reporter)

Hi,
Just tested on my A500 ECS ACA500PLUS with 7MB (ONLY 68000 WITHOUT ANY ACCELERATOR)BUT WITH VBRMOVE OPTION ENABLE on my ACA.
The QuitKey=$46 works perfectly on my system (tested from SPS 2205 Quatro Fighters).
But today, in an other ticket, I asked You to support installation for SPS 2228 only SAS GAME not yet support.
Many Thanks,
Best Regards,
Pascal

note ~0008543

retrogamer (reporter)

Well quitkey doesn't work on my A600.
+Notes

-Issue History
Date Modified Username Field Change
2020-04-25 21:47 aardvark82 New Issue
2020-04-27 12:26 StingRay Assigned To => StingRay
2020-04-27 12:26 StingRay Status new => assigned
2020-04-28 23:10 StingRay Note Added: 0008519
2020-04-28 23:27 StingRay Status assigned => resolved
2020-04-28 23:27 StingRay Resolution open => fixed
2020-04-28 23:27 StingRay Note Added: 0008520
2020-04-28 23:39 retrogamer Note Added: 0008521
2020-04-29 15:58 Pascal De Maeseneire Note Added: 0008534
2020-04-29 16:45 retrogamer Note Added: 0008543
+Issue History